After installing Version 1.92+ Build 120530 I get an MSSQL Error creating survey

More
5 years 5 months ago #81168 by Rob_Williams
Rob_Williams created the topic: After installing Version 1.92+ Build 120530 I get an MSSQL Error creating survey
Hi,
I have a fresh install of Version 1.92+ Build 120530. It appears to have installed ok but when I try to create a new survey, once I save the survey settings I get an error:-

[Microsoft][ODBC SQL Server Driver][SQL Server]Ambiguous column name 'qid'.:SELECT a.qid, a.code, a.answer, a.scale_id, a.assessment_value FROM [lime_answers] AS a, [lime_questions] as q WHERE a.qid = q.qid and q.sid = 15324 and a.language='en' and q.language='en' ORDER BY qid, scale_id, sortorder

I then cannot load that survey or delete it as I continue to get that error.

LimeSurvey 1.92 seems to be totally unusable for me.

Is it becuase of the ORDER BY clause having no prefix and so not able to determine between the a or q references in the SELECT statement. If so where do I change this and is this a bug in this build of Limesurvey?

Can anyone help?

Thanks,
Rob

Please Log in to join the conversation.

More
5 years 5 months ago #81170 by mdekker
mdekker replied the topic: After installing Version 1.92+ Build 120530 I get an MSSQL Error creating survey
Could you verify that changing the line 6824 in /classes/expressions/LimeExpressionManager.php fixes the problem?

---
Menno Dekker
The following user(s) said Thank You: Rob_Williams

Please Log in to join the conversation.

More
5 years 5 months ago #81176 by Rob_Williams
Rob_Williams replied the topic: After installing Version 1.92+ Build 120530 I get an MSSQL Error creating survey
Hi mdekker,

Yep...prefixed the ORDER BY cirteria with the a. reference and that has got me in and running.

This is probably the solution of another error I entered regarding the comfort update to 1.92. Here is the link to that error:-

www.limesurvey.org/en/forum/installation...-9642-to-v192-120517

Sounds like a little fix is required in the Limesurvey build :-)
Thanks for your help in this.
Rob

Please Log in to join the conversation.

More
5 years 5 months ago #81185 by mdekker
mdekker replied the topic: After installing Version 1.92+ Build 120530 I get an MSSQL Error creating survey
bugs.limesurvey.org/view.php?id=6155

Resolved, not sure about the other problems on upgrade.

---
Menno Dekker

Please Log in to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!